=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/kernel-team/linux
 Vcs-Git: https://salsa.debian.org/kernel-team/linux.git
 
-Package: linux-support-6.1.0-30
+Package: linux-support-6.1.0-31
 Architecture: all
 Section: devel
 Build-Profiles: <!stage1>
@@ -68,24 +68,24 @@
  This package depends on packages containing the sources of the latest
  Linux kernel.
 
-Package: linux-headers-6.1.0-30-common
+Package: linux-headers-6.1.0-31-common
 Architecture: all
 Build-Profiles: <!pkg.linux.nokernel !stage1>
 Depends: ${misc:Depends}
 Multi-Arch: foreign
-Description: Common header files for Linux 6.1.0-30
+Description: Common header files for Linux 6.1.0-31
  This package provides the common kernel header files for Linux kernel
- version 6.1.0-30, generally used for building out-of-tree kernel modules.
+ version 6.1.0-31, generally used for building out-of-tree kernel modules.
  To obtain a complete set of headers you also need to install the
- linux-headers-6.1.0-30-(flavour) package, matching the flavour of the
+ linux-headers-6.1.0-31-(flavour) package, matching the flavour of the
  kernel you intend the build for.
 
-Package: linux-headers-6.1.0-30-common-rt
+Package: linux-headers-6.1.0-31-common-rt
 Architecture: all
 Build-Profiles: <!pkg.linux.nokernel !stage1>
 Depends: ${misc:Depends}
 Multi-Arch: foreign
-Description: Common header files for Linux 6.1.0-30-rt
+Description: Common header files for Linux 6.1.0-31-rt
  This package provides the common kernel header files for Linux kernel
- version 6.1.0-30 with the PREEMPT_RT featureset, generally used for
+ version 6.1.0-31 with the PREEMPT_RT featureset, generally used for
  building out-of-tree kernel modules.  To obtain a complete set of headers
